package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 资源调度策略实体类
 *
 * @author wangyu
 * @version 4.1.0-SNAPSHOT
 * @since 2018/12/24
 */
@Table("scheduler_policy")
public class SchedulerPolicy extends GenericEntity {

    //ID
    @PK(PKStrategy.AUTO)
    private Long id;
    //策略类型
    @Column("policy")
    private String policy;
    //策略目标类别
    @Column("policy_category")
    private String policyCategory;

    /**
     *
     */
    public SchedulerPolicy() {
    }

    /**
     * @param policy
     * @param policyCategory
     */
    public SchedulerPolicy(String policy, String policyCategory) {
        this.policy = policy;
        this.policyCategory = policyCategory;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPolicy() {
        return policy;
    }

    public void setPolicy(String policy) {
        this.policy = policy;
    }

    public String getPolicyCategory() {
        return policyCategory;
    }

    public void setPolicyCategory(String policyCategory) {
        this.policyCategory = policyCategory;
    }

    public enum policy {
        focus,//集中式
        dispersion,//分散式
        random;//随机
    }
}
